Bug 817896 - Login dialog not displaying in IE8 with Quirks mode
Login dialog not displaying in IE8 with Quirks mode
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.4
Unspecified Unspecified
urgent Severity medium (vote)
: ---
: JON 3.1.1
Assigned To: Mike Foley
Mike Foley
: Reopened
Depends On:
Blocks: rhq-uxd jon310-sprint11/rhq44-sprint11 817141
  Show dependency treegraph
 
Reported: 2012-05-01 14:00 EDT by Mike Foley
Modified: 2013-09-03 11:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 11:14:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike Foley 2012-05-01 14:00:23 EDT
Description of problem:  Login dialog not displaying in IE8 with Quirks mode


Version-Release number of selected component (if applicable):  RHQ 4.4


How reproducible:


Steps to Reproduce:
1.  IE8, quirks mode
2.  http://localhost:7080/coregui/
3.
  
Actual results:   login dialog never displays


Expected results:  if quirks mode is supported, i would expect the login dialog to display


Additional info:
Comment 2 Jay Shaughnessy 2012-05-11 11:25:12 EDT
OK, after some investigation with Mike Thompson the consensus is that this
is working as expected.  Starting with RHQ 4.4 and JON 3.1 we leave behind
versions earlier than IE8. Code-wise this means we have moved from:

  <meta http-equiv="X-UA-Compatible" content="IE=7">

to 

  <meta http-equiv="X-UA-Compatible" content="IE=8">


With this tag and no DOCTYPE (as preferred by SmartGWT) "quirks" browser
mode is no longer the page default for IE8/9.  

In short, it really shouldn't matter to the user what the browser mode
is, loading coregui should just work, as should the rendering of our
GUI pages.  Users should not have to change anything in their browser
settings to make our app work.  Forcing "quirks" mode is not something
they should do, is no longer our default, and is not expected to work
for RHQ 4.4 and JON 3.1.


So, "Working As Expected". Please Close.
Comment 3 Charles Crouch 2012-05-21 12:31:44 EDT
From triage targeting at 3.1.1 for further investigation pending use case from GSS
Comment 4 Larry O'Leary 2012-05-21 12:34:21 EDT
IE8 (as well as IE7) will go into IE6 Compatiblility mode when a Intranet address is specified in the URL. An Intranet address is any host name that does not contain a period (.). For example, http://myserver:7080 vs. http://myserver.domain.name:7080. This may result in   <meta http-equiv="X-UA-Compatible" content="IE=8"> being ignored due to the browser configuration itself and Quirks Mode being used without the user setting anything or even being aware of the issue.
Comment 5 Charles Crouch 2012-05-21 19:03:03 EDT
Also Alan pointed out the SmartGWT FAQ entry indicates quirks mode should be used:(http://forums.smartclient.com/showthread.php?t=8159)

"Instead, we recommend running in "quirks mode" by simply omitting a DOCTYPE tag from your .html file. Microsoft makes a significant effort to avoid regressions in quirks mode."

but that seems to contradict parts of comment 2 below:

"With this tag and no DOCTYPE (as preferred by SmartGWT) "quirks" browser
mode is no longer the page default for IE8/9...Forcing "quirks" mode is not something they should do, is no longer our default, and is not expected to work
for RHQ 4.4 and JON 3.1."
Comment 6 Charles Crouch 2012-05-21 19:07:49 EDT
(In reply to comment #4)
> IE8 (as well as IE7) will go into IE6 Compatiblility mode when a Intranet
> address is specified in the URL. An Intranet address is any host name that
> does not contain a period (.). For example, http://myserver:7080 vs.
> http://myserver.domain.name:7080. This may result in   <meta
> http-equiv="X-UA-Compatible" content="IE=8"> being ignored due to the
> browser configuration itself and Quirks Mode being used without the user
> setting anything or even being aware of the issue.

IIUC Larry is talking about the feature of IE: "Tools>Compatability View Settings>Display Intranet Sites in Compatibility view".
Comment 7 Jay Shaughnessy 2012-05-21 22:22:37 EDT
I wasn't aware of what Larry is saying, that IE8 can put itself into quirks mode for our app based on settings and/or url format.  

I am aware of the whole quirks mode recommendation that Alan pointed out, and that has been our strategy.  And actually, we haven't changed that approach, we still don't declare a DOCTYPE, and as such we leave it to IE to set the browser mode.  

We did make the change to emulate IE8 and opposed to IE7, since we've dropped support for IE versions less than 8.  And we no longer build the IE6 permutation.

In my testing on IE9 it always chose to set the browser mode to IE8 standards mode as the default for our GUI.  And for IE8 it seemed to be doing the same, and was working.

Since we don't support IE6 I would think that would extend to IE6 compatibility mode.  So, to me I'd say that using the option below would also be unsupported.

"Tools>Compatability View Settings>Display Intranet Sites in Compatibility view"

Note again that we are not building the IE6 user agent, we have removed IE6 support hacks from the code, and we emulate IE8 for IE versions greater than IE8 and IE8 emulation is the recommendation (from what I've seen recently) for the more recent version of SmartGWT that we are now using.

We'd have to seriously want to support this IE option to turn back.  We should verify that our stuff works if that option is unset.
Comment 8 Charles Crouch 2012-05-21 23:56:19 EDT
This page describes what Larry is talking about wrt IE8 defaulting to Compatibility View:
http://support.microsoft.com/kb/2701047

One of the suggestions that page makes to avoid IE using compatibility view mode is the following:
"Add the HTTP-header name "X-UA-Compatible" with a value of "IE=8" to the websites that should run in Standards Mode."
which is exactly what we are doing via the meta tag:
<meta http-equiv="X-UA-Compatible" content="IE=8">

So I think what we have here is:

1) I would *not* expect JON3.1 to render if you specifically switch your IE8 browser to Compatibility View mode (via the Tools menu). I presume this is what Mike did when he wrote: "Steps to Reproduce: 1.  IE8, quirks mode"

2) I *would* expect JON3.1 to render if IE8 just happens to default your jon3.1 install into Compatibility View mode based on it being a "trusted site" for example (as described in http://support.microsoft.com/kb/2701047)

If 1) and 2) are shown to be accurate then we should probably raise a doc bug to describe this succinctly.

Assigning this to Mike to verify the points above.
Comment 9 Charles Crouch 2012-08-20 08:45:12 EDT
Keeping assigned to Mike, but pushing to ONQA
Comment 10 Armine Hovsepyan 2012-08-21 10:38:30 EDT
based on ccrouch comment # 8 ... manually switching to quirks mode is not supported ...(but i did not see the login dialogue when doing so).  but ... in regular mode, i do see the login dialogue.  so , i am closing this as verified.
Comment 11 Heiko W. Rupp 2013-09-03 11:14:20 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.